"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSelectionInfo = exports.getCurrentContext = void 0;
const vscode = require("vscode");
function getCurrentContext() {
    const workbenchConfig = vscode.workspace.getConfiguration('worldspider');
    const prefixLength = workbenchConfig.get('generation.prefixLength');
    const suffixLength = workbenchConfig.get('generation.suffixLength');
    let editor = vscode.window.activeTextEditor;
    if (!editor) {
        return { prefix: '', suffix: '' };
    }
    let context = editor.document.getText();
    let currentContextPrefix = context.slice(0, editor.document.offsetAt(editor.selection.start)).slice(-prefixLength);
    let currentContextSuffix = context.slice(editor.document.offsetAt(editor.selection.end)).slice(0, suffixLength);
    return { prefix: currentContextPrefix, suffix: currentContextSuffix };
}
exports.getCurrentContext = getCurrentContext;
function getSelectionInfo() {
    // returns currently selected text and absolute position in the document of the selection
    let editor = vscode.window.activeTextEditor;
    if (!editor) {
        return { prefix: '', suffix: '' };
    }
    let selectedText = editor.document.getText(editor.selection);
    let selectedStart = editor.selection.start;
    let selectedEnd = editor.selection.end;
    let selectedStartOffset = editor.document.offsetAt(selectedStart);
    let selectedEndOffset = editor.document.offsetAt(selectedEnd);
    return { selectedText, selectedStart, selectedEnd, selectedStartOffset, selectedEndOffset };
}
exports.getSelectionInfo = getSelectionInfo;
//# sourceMappingURL=document.js.map